attribute vec4 a_position;
attribute vec2 a_texCoord;
varying vec2 v_texture_coord;
uniform vec2 texCoord_offset;
uniform vec2 tex_tile;

void main(void)
{
    gl_Position = CC_MVPMatrix * a_position;
    v_texture_coord = (a_texCoord - texCoord_offset)*tex_tile;
    v_texture_coord.y = (1.0 - v_texture_coord.y);
}
