varying vec3 Normal;
varying vec3 vertex_pos;
varying vec2 Texcoord;
varying vec2 Env_Texcoord;

attribute  vec2 a_texCoord;
attribute  vec3 a_normal;
attribute  vec4 a_position;

uniform vec2 texCoord_offset;
uniform vec2 tex_tile;

void main(void)
{
   vertex_pos = (CC_MVMatrix * a_position).xyz;  
   Normal         = CC_NormalMatrix * a_normal;
   Texcoord      = a_texCoord;
   Texcoord.y    = 1.0 - a_texCoord.y;
   //Env_Texcoord  = (a_texCoord - texCoord_offset)*tex_tile;
   //Env_Texcoord.y = 1.0 - Env_Texcoord.y;
   gl_Position = CC_MVPMatrix * a_position;
}
